package com.admin.major.service.impl;

import com.admin.major.domain.MajorInfo;
import com.admin.major.domain.StudentCourse;
import com.admin.major.domain.StudentInfo;
import com.admin.major.mapper.SyncTableMapper;
import com.admin.major.service.ISyncTableService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class SyncTableServiceImpl implements ISyncTableService {

    @Resource
    private SyncTableMapper syncTableMapper;

    @Override
    public List<StudentInfo> getStudentInfo(StudentInfo studentInfo) {
        return syncTableMapper.getStudentInfo(studentInfo);
    }

    @Override
    public List<MajorInfo> getMajorInfo(MajorInfo majorInfoParam) {
        return syncTableMapper.getMajorInfo(majorInfoParam);
    }

    @Override
    public List<StudentCourse> getStudentCourse(StudentCourse studentCourse) {
        return syncTableMapper.getStudentCourse(studentCourse);
    }

    @Override
    public int calcScore() {
        return syncTableMapper.calcScore();
    }

    @Override
    public int calcRank() {
        return syncTableMapper.calcRank();
    }
}
